REDemo (Jakarta-Regexp 1.5 API)
Date: 2016-03-09

org.apache.regexp

## Class REDemo

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - org.apache.regexp.REDemo

- All Implemented Interfaces:
    java.awt.event.TextListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

      public class REDemo
      extends java.applet.Applet
      implements java.awt.event.TextListener

  Interactive demonstration and testing harness for regular expressions classes.
  Version:
    $Id: REDemo.java 518156 2007-03-14 14:31:26Z vgritsenko $
  Author:
    Jonathan Locke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.applet.Applet

      `java.applet.Applet.AccessibleApplet`

    - ### Nested classes/interfaces inherited from class java.awt.Panel

      `java.awt.Panel.AccessibleAWTPanel`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) REDebugCompiler` | `compiler`
    `(package private) java.awt.TextField` | `fieldMatch`
    `(package private) java.awt.TextField` | `fieldRE` Components
    `(package private) java.awt.TextArea` | `outMatch`
    `(package private) java.awt.TextArea` | `outRE`
    `(package private) RE` | `r` Matcher and compiler objects

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `REDemo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Add controls and init applet
    `static void` | `main(java.lang.String[] arg)` Main application entrypoint.
    `(package private) void` | `sayMatch(java.lang.String s)` Say something into match text area
    `(package private) void` | `sayRE(java.lang.String s)` Say something into RE text area
    `void` | `textValueChanged(java.awt.event.TextEvent e)` Called when text values change
    `(package private) java.lang.String` | `throwableToString(java.lang.Throwable t)` Convert throwable to string
    `(package private) void` | `updateMatch(java.lang.String match)` Update matching info by matching the string against the current compiled regular expression.
    `(package private) void` | `updateRE(java.lang.String expr)` Change regular expression

    - ### Methods inherited from class java.applet.Applet

      `destroy, getAccessibleContext, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus, start, stop`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### r

          RE r

      Matcher and compiler objects

    - #### compiler

          REDebugCompiler compiler

    - #### fieldRE

          java.awt.TextField fieldRE

      Components

    - #### fieldMatch

          java.awt.TextField fieldMatch

    - #### outRE

          java.awt.TextArea outRE

    - #### outMatch

          java.awt.TextArea outMatch

  - ### Constructor Detail

    - #### REDemo

          public REDemo()

  - ### Method Detail

    - #### init

          public void init()

      Add controls and init applet
      Overrides:
        `init` in class `java.applet.Applet`

    - #### sayRE

          void sayRE(java.lang.String s)

      Say something into RE text area
      Parameters:
        `s` - What to say

    - #### sayMatch

          void sayMatch(java.lang.String s)

      Say something into match text area
      Parameters:
        `s` - What to say

    - #### throwableToString

          java.lang.String throwableToString(java.lang.Throwable t)

      Convert throwable to string
      Parameters:
        `t` - Throwable to convert to string

    - #### updateRE

          void updateRE(java.lang.String expr)

      Change regular expression
      Parameters:
        `expr` - Expression to compile

    - #### updateMatch

          void updateMatch(java.lang.String match)

      Update matching info by matching the string against the current compiled regular expression.
      Parameters:
        `match` - String to match against

    - #### textValueChanged

          public void textValueChanged(java.awt.event.TextEvent e)

      Called when text values change
      Specified by:
        `textValueChanged` in interface `java.awt.event.TextListener`
      Parameters:
        `e` - TextEvent

    - #### main

          public static void main(java.lang.String[] arg)

      Main application entrypoint.
      Parameters:
        `arg` - Command line arguments

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.